      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCDL                                      **
      **                                                              **
      **  DESCRIPTION:    Channel Definition Structure                **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1993, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCD,      **
      **                  which is used by channel exits and the      **
      **                  MQCONNX call.                               **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQCD structure
        10 MQCD.
      **    Channel definition name
         15 MQCD-CHANNELNAME            PIC X(20).
      **    Structure version number
         15 MQCD-VERSION                PIC S9(9) BINARY.
      **    Channel type
         15 MQCD-CHANNELTYPE            PIC S9(9) BINARY.
      **    Transport type
         15 MQCD-TRANSPORTTYPE          PIC S9(9) BINARY.
      **    Channel description
         15 MQCD-DESC                   PIC X(64).
      **    Queue-manager name
         15 MQCD-QMGRNAME               PIC X(48).
      **    Transmission queue name
         15 MQCD-XMITQNAME              PIC X(48).
      **    First 20 bytes of connection name
         15 MQCD-SHORTCONNECTIONNAME    PIC X(20).
      **    Reserved
         15 MQCD-MCANAME                PIC X(20).
      **    LU 6.2 Mode name
         15 MQCD-MODENAME               PIC X(8).
      **    LU 6.2 transaction program name
         15 MQCD-TPNAME                 PIC X(64).
      **    Batch size
         15 MQCD-BATCHSIZE              PIC S9(9) BINARY.
      **    Disconnect interval
         15 MQCD-DISCINTERVAL           PIC S9(9) BINARY.
      **    Short retry count
         15 MQCD-SHORTRETRYCOUNT        PIC S9(9) BINARY.
      **    Short retry wait interval
         15 MQCD-SHORTRETRYINTERVAL     PIC S9(9) BINARY.
      **    Long retry count
         15 MQCD-LONGRETRYCOUNT         PIC S9(9) BINARY.
      **    Long retry wait interval
         15 MQCD-LONGRETRYINTERVAL      PIC S9(9) BINARY.
      **    Channel security exit name
         15 MQCD-SECURITYEXIT           PIC X(128).
      **    Channel message exit name
         15 MQCD-MSGEXIT                PIC X(128).
      **    Channel send exit name
         15 MQCD-SENDEXIT               PIC X(128).
      **    Channel receive exit name
         15 MQCD-RECEIVEEXIT            PIC X(128).
      **    Highest allowable message sequence number
         15 MQCD-SEQNUMBERWRAP          PIC S9(9) BINARY.
      **    Maximum message length
         15 MQCD-MAXMSGLENGTH           PIC S9(9) BINARY.
      **    Put authority
         15 MQCD-PUTAUTHORITY           PIC S9(9) BINARY.
      **    Data conversion
         15 MQCD-DATACONVERSION         PIC S9(9) BINARY.
      **    Channel security exit user data
         15 MQCD-SECURITYUSERDATA       PIC X(32).
      **    Channel message exit user data
         15 MQCD-MSGUSERDATA            PIC X(32).
      **    Channel send exit user data
         15 MQCD-SENDUSERDATA           PIC X(32).
      **    Channel receive exit user data
         15 MQCD-RECEIVEUSERDATA        PIC X(32).
      **    User identifier
         15 MQCD-USERIDENTIFIER         PIC X(12).
      **    Password
         15 MQCD-PASSWORD               PIC X(12).
      **    First 12 bytes of MCA user identifier
         15 MQCD-MCAUSERIDENTIFIER      PIC X(12).
      **    Message channel agent type
         15 MQCD-MCATYPE                PIC S9(9) BINARY.
      **    Connection name
         15 MQCD-CONNECTIONNAME         PIC X(264).
      **    First 12 bytes of user identifier from partner
         15 MQCD-REMOTEUSERIDENTIFIER   PIC X(12).
      **    Password from partner
         15 MQCD-REMOTEPASSWORD         PIC X(12).
      **    Channel message retry exit name
         15 MQCD-MSGRETRYEXIT           PIC X(128).
      **    Channel message retry exit user data
         15 MQCD-MSGRETRYUSERDATA       PIC X(32).
      **    Number of times MCA will try to put the message, after the
      **    first attempt has failed
         15 MQCD-MSGRETRYCOUNT          PIC S9(9) BINARY.
      **    Minimum interval in milliseconds after which the open or put
      **    operation will be retried
         15 MQCD-MSGRETRYINTERVAL       PIC S9(9) BINARY.
      **    Time in seconds between heartbeat flows
         15 MQCD-HEARTBEATINTERVAL      PIC S9(9) BINARY.
      **    Batch duration
         15 MQCD-BATCHINTERVAL          PIC S9(9) BINARY.
      **    Speed at which nonpersistent messages are sent
         15 MQCD-NONPERSISTENTMSGSPEED  PIC S9(9) BINARY.
      **    Length of MQCD structure
         15 MQCD-STRUCLENGTH            PIC S9(9) BINARY.
      **    Length of exit name
         15 MQCD-EXITNAMELENGTH         PIC S9(9) BINARY.
      **    Length of exit user data
         15 MQCD-EXITDATALENGTH         PIC S9(9) BINARY.
      **    Number of message exits defined
         15 MQCD-MSGEXITSDEFINED        PIC S9(9) BINARY.
      **    Number of send exits defined
         15 MQCD-SENDEXITSDEFINED       PIC S9(9) BINARY.
      **    Number of receive exits defined
         15 MQCD-RECEIVEEXITSDEFINED    PIC S9(9) BINARY.
      **    Address of first MSGEXIT field
         15 MQCD-MSGEXITPTR             POINTER.
      **    Address of first MSGUSERDATA field
         15 MQCD-MSGUSERDATAPTR         POINTER.
      **    Address of first SENDEXIT field
         15 MQCD-SENDEXITPTR            POINTER.
      **    Address of first SENDUSERDATA field
         15 MQCD-SENDUSERDATAPTR        POINTER.
      **    Address of first RECEIVEEXIT field
         15 MQCD-RECEIVEEXITPTR         POINTER.
      **    Address of first RECEIVEUSERDATA field
         15 MQCD-RECEIVEUSERDATAPTR     POINTER.
      **    Address of a list of cluster names
         15 MQCD-CLUSTERPTR             POINTER.
      **    Number of clusters to which the channel belongs
         15 MQCD-CLUSTERSDEFINED        PIC S9(9) BINARY.
      **    Network priority
         15 MQCD-NETWORKPRIORITY        PIC S9(9) BINARY.
      **    Length of long MCA user identifier
         15 MQCD-LONGMCAUSERIDLENGTH    PIC S9(9) BINARY.
      **    Length of long remote user identifier
         15 MQCD-LONGREMOTEUSERIDLENGTH PIC S9(9) BINARY.
      **    Address of long MCA user identifier
         15 MQCD-LONGMCAUSERIDPTR       POINTER.
      **    Address of long remote user identifier
         15 MQCD-LONGREMOTEUSERIDPTR    POINTER.
      **    MCA security identifier
         15 MQCD-MCASECURITYID          PIC X(40).
      **    Remote security identifier
         15 MQCD-REMOTESECURITYID       PIC X(40).
      **    SSL CipherSpec
         15 MQCD-SSLCIPHERSPEC          PIC X(32).
      **    Address of SSL peer name
         15 MQCD-SSLPEERNAMEPTR         POINTER.
      **    Length of SSL peer name
         15 MQCD-SSLPEERNAMELENGTH      PIC S9(9) BINARY.
      **    Whether SSL client authentication is required
         15 MQCD-SSLCLIENTAUTH          PIC S9(9) BINARY.
      **    Keepalive interval
         15 MQCD-KEEPALIVEINTERVAL      PIC S9(9) BINARY.
      **    Local communications address
         15 MQCD-LOCALADDRESS           PIC X(48).
      **    Batch heartbeat interval
         15 MQCD-BATCHHEARTBEAT         PIC S9(9) BINARY.
 
      ******************************************************************
      **  End of CMQCDL                                               **
      ******************************************************************
